Skip to main content
GET
/
challenge-groups
/
{id}
Get challenge group by ID
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/admin/challenge-groups/{id} \
  --header 'x-api-token: <api-key>'
{
  "id": "<string>",
  "organisationId": "<string>",
  "communityId": "<string>",
  "details": {
    "title": "<string>",
    "description": "<string>",
    "light": {
      "primaryImageUrl": "<string>",
      "secondaryImageUrl": "<string>"
    },
    "dark": {
      "primaryImageUrl": "<string>",
      "secondaryImageUrl": "<string>"
    }
  },
  "type": "random",
  "period": "daily",
  "challengeIds": [
    "<string>"
  ],
  "activeAmount": 2,
  "status": "archived",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

x-api-token
string
header
required

Headers

x-language
string

The language to return the challenge groups in. If not provided, the default language for the organisation will be used.

Path Parameters

id
string
required
Pattern: ^[0-9a-fA-F]{24}$

Response

Successful response

A challenge group

id
string
required

The id of the challenge group

Pattern: ^[0-9a-fA-F]{24}$
organisationId
string
required

The id of the organisation the challenge group belongs to

Pattern: ^[0-9a-fA-F]{24}$
communityId
string
required

The id of the community the challenge group belongs to

Pattern: ^[0-9a-fA-F]{24}$
details
Details · object
required

Used to describe an entity

type
enum<string>
required

The challenge selection type

Available options:
random,
sequential
period
enum<string>
required

The rotation period

Available options:
daily,
weekly,
monthly,
yearly,
open
challengeIds
string[]
required

The challenge IDs in this group

Pattern: ^[0-9a-fA-F]{24}$
activeAmount
number
required

Number of active challenges to show

Required range: x >= 1
status
enum<string>
required

The challenge group status

Available options:
archived,
draft,
expired,
live,
scheduled
createdAt
string
required

The creation date of the challenge group

updatedAt
string | null

The update date of the challenge group